Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.sax.xpointer
Class XPointerContext

    java.lang.Object
      org.apache.cocoon.sax.xpointer.XPointerContext

All Implemented Interfaces:
  NamespaceContext

    public final class XPointerContext

extends Object
implements NamespaceContext

$Id: XPointerContext.java 892809 2009-12-21 13:14:59Z reinhard $

Constructor Summary
`XPointerContext(String xPointer, SAXConsumer saxConsumer)`

Method Summary
`void` | `addPrefix(String prefix, String namespaceURI)`
`Map<String,String>` | `getNamespaces()`
`String` | `getNamespaceURI(String prefix)`
`String` | `getPrefix(String namespaceURI)`
`Iterator` | `getPrefixes(String namespaceURI)`
`SAXConsumer` | `getSaxConsumer()`
`String` | `getXPointer()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XPointerContext

    public XPointerContext(String xPointer,
                           SAXConsumer saxConsumer)

Method Detail

### getXPointer

    public String getXPointer()

### getSaxConsumer

    public SAXConsumer getSaxConsumer()

### getNamespaces

    public Map<String,String> getNamespaces()

### addPrefix

    public void addPrefix(String prefix,
                          String namespaceURI)

### getPrefix

    public String getPrefix(String namespaceURI)

  Specified by:
    `getPrefix` in interface `NamespaceContext`

### getPrefixes

    public Iterator getPrefixes(String namespaceURI)

  Specified by:
    `getPrefixes` in interface `NamespaceContext`

### getNamespaceURI

    public String getNamespaceURI(String prefix)

  Specified by:
    `getNamespaceURI` in interface `NamespaceContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 The Apache Software Foundation. All Rights Reserved.